Package org.apache.velocity.runtime.parser

# Interface Parser

All Known Implementing Classes:
  `StandardParser`

public interface Parser

## Method Summary

Modifier and Type
Method
Description
`char`
`asterisk()`
`char`
`at()`
`default String`
`blockComment()`
`char`
`dollar()`
`Template`
`getCurrentTemplate()`
`Directive`
`getDirective(String directive)`
`RuntimeServices`
`getRuntimeServices()`
`Token`
`getToken(int index)`
`char`
`hash()`
`boolean`
`isDirective(String macro)`
`default String`
`lineComment()`
`SimpleNode`
`parse(Reader reader, Template template)`
`void`
`ReInit(CharStream stream)`
`void`
`resetCurrentTemplate()`

## Method Details

### getRuntimeServices

RuntimeServices getRuntimeServices()

### parse

SimpleNode parse(Reader reader, Template template) throws ParseException

Throws:
  `ParseException`

### resetCurrentTemplate

void resetCurrentTemplate()

### getCurrentTemplate

Template getCurrentTemplate()

### getToken

Token getToken(int index)

### isDirective

boolean isDirective(String macro)

### getDirective

Directive getDirective(String directive)

### ReInit

void ReInit(CharStream stream)

### dollar

char dollar()

### hash

char hash()

### at

char at()

### asterisk

char asterisk()

### lineComment

default String lineComment()

### blockComment

default String blockComment()